Subject: bug#55362: 29.0.50; Super key no longer works on Wayland

From: Thomas Jost <[email-masked]>
Date: Wed, 11 May 2022 15:54:43 +0200

Le 11 mai 2022 à 16:22 +03, Eli Zaretskii a écrit :
>> Resent-From: Lars Ingebrigtsen <[email-masked]>
>> Original-Sender: "Debbugs-submit" <[email-masked]>
>> Resent-CC: [email-masked]
>> Resent-Sender: [email-masked]
>> Cc: Po Lu <[email-masked]>, [email-masked]
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Wed, 11 May 2022 15:04:25 +0200
>> 
>> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
>> editors" <[email-masked]> writes:
>> 
>> > That patch (and the old code) is incorrect, and the code before its
>> > removal was another example of the PGTK port haphazardly copying code
>> > from xterm.c to do stuff GDK is supposed to do by itself.  Mod4 is a
>> > real modifier and can correspond to any (number) of virtual modifiers,
>> > which might or might not contain Super.
>> 
>> But this seems to affect many people who had a working Super key before,
>> so I think we should re-fix this on the Emacs side.
>
> I agree.  At the very least, how about a knob, by default off, to
> restore the previous behavior; we could then have that in PROBLEMS.

>From a user perspective, this seems like a decent trade-off. For me, not
being able to use the previous behavior would mean that I'd have to stop
testing Git releases until Emacs 29 is released.

Not having such a knob would also prevent any user who is for some
reason stuck on an older version of Gtk to upgrade Emacs.

-- 
Thomas